//
//  FractionPickerViewController.h
//  FractionPicker
//
//  Created by Terry Payne on 10/06/2011.
//  Copyright 2011 University of Liverpool. All rights reserved.
//

#import <UIKit/UIKit.h>

#define NUMBER_OF_PICKER_COMPONENTS 2
#define MAX_NUMBER_ON_PICKER 9
#define NUMERATOR 0
#define DENOMINATOR 1

@interface FractionPickerViewController : UIViewController <UIPickerViewDelegate, UIPickerViewDataSource> {
        
    // Set up view GUI objects
    UIPickerView *fraction1PickerView;
    UIPickerView *fraction2PickerView;
    UILabel *fractionLabel;
    UIButton *showFractionButton;
    
    // The following two ints hold the components of the first fraction
    NSInteger numerator1;
    NSInteger denominator1;
    
    // The following two ints hold the components of the second fraction
    NSInteger numerator2;
    NSInteger denominator2;
}

// Property Definitions
@property (nonatomic, retain) IBOutlet UIPickerView *fraction1PickerView;
@property (nonatomic, retain) IBOutlet UIPickerView *fraction2PickerView;
@property (nonatomic, retain) IBOutlet UILabel *fractionLabel;
@property (nonatomic, retain) IBOutlet UIButton *showFractionButton;

- (IBAction)fractionButtonPressed:(id)sender;

// Other Method Declarations
- (void)updateFractionLabel;

@end
